CMSIS-DSP: support_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
support_functions_f16.h File Reference

## Functions

void | arm_copy_f16 (const float16_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Copies the elements of a floating-point vector. More...
void | arm_fill_f16 (float16_t value, float16_t *pDst, uint32_t blockSize)
| Fills a constant value into a floating-point vector. More...
void | arm_f16_to_q15 (const float16_t *pSrc, q15_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q31 vector. More...
void | arm_q15_to_f16 (const q15_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q31 vector. More...
void | arm_float_to_f16 (const float32_t *pSrc, float16_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q31 vector. More...
void | arm_f16_to_float (const float16_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Converts the elements of the floating-point vector to Q31 vector. More...
float16_t | arm_weighted_sum_f16 (const float16_t *in, const float16_t *weigths, uint32_t blockSize)
| Weighted sum. More...
void | arm_barycenter_f16 (const float16_t *in, const float16_t *weights, float16_t *out, uint32_t nbVectors, uint32_t vecDim)
| Barycenter. More...
__STATIC_INLINE int16_t | arm_typecast_s16_f16 (float16_t x)
| Interpret a f16 as an s16 value. More...
__STATIC_INLINE float16_t | arm_typecast_f16_s16 (int16_t x)
| Interpret an s16 as an f16 value. More...